# palettes.h File Reference

The colour translation of the GRF palettes. More...

`#include "../core/endian_type.hpp"`

Go to the source code of this file.

## Data Structures
struct | ExtraPaletteValues
struct | StringColour
## Defines
#define | M(r, g, b) { b, g, r, 0xff }
#define | GET_PALETTE(x) _palettes[x]
## Variables
static const Colour | _palettes [][256]
static const ExtraPaletteValues | _extra_palette_values
static const StringColour | _string_colourmap [][17]

## Detailed Description

The colour translation of the GRF palettes.

Definition in file palettes.h.